<?php

function devolver_stock($pedido, $conexion)
{

    // Apartir del pedido podemos obtener el localizador y a aprtir de este los localizadores productos que son los productos que se habían pedido
    $sql_productos_gastro = "SELECT lp.*, s.gastro_bar
	                      FROM localizador_productos lp
	                      JOIN localizadores l on lp.localizador = l.localizador
	                      JOIN servicios s on s.id = l.servicio_id
	                      WHERE l.id_pedido = $pedido";

    $result_productos_gastro = $conexion->query($sql_productos_gastro);

    if ($result_productos_gastro != null && $result_productos_gastro->rowCount() > 0) {
        $productos_gastro = $result_productos_gastro->fetchAll();
        if ($productos_gastro[0]['gastro_bar'] == 1) {
            foreach ($productos_gastro as $producto_gastro) {
                $producto                   = $producto_gastro['extra_id'];
                $cantidad                   = $producto_gastro['unidades'];
                $sql_update_producto_gastro = "UPDATE productos set cantidad_disponible = cantidad_disponible + $cantidad WHERE id = $producto";

                $conexion->query($sql_update_producto_gastro);
            }

        }

    }
}
